import Vue from 'vue'
import Vuex from 'vuex'; 
import App from './App.vue'
import router from "./router";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
// import MMCSTL from 'mmc-stl-vue2';
// import MMCSTL from 'mmc-stl-vue2-dist';
// import MMCSTL from '../../index';
import MMCSTL from '../../dist/index';
import '../../dist/style/index.css';


// Vue.config.productionTip = false
Vue.use(Vuex);
Vue.use(ElementUI);
Vue.use(MMCSTL);

import VueClipBoard from "vue-clipboard2";

Vue.use(VueClipBoard);


new Vue({
  render: (h) => h(App),
  router,
  store: new Vuex.Store({}),
}).$mount("#app");
